Skip to content

Most visited

Recently visited

navigation

ConnPerRouteBean | Android Developers

to top
Android APIs
public final class

ConnPerRouteBean

extends Object
implements ConnPerRoute
java.lang.Object
   ↳ org.apache.http.conn.params.ConnPerRouteBean

Class Overview

This class maintains a map of HTTP routes to maximum number of connections allowed for those routes. This class can be used by pooling connection managers for a fine-grained control of connections on a per route basis.

Summary

Constants
int DEFAULT_MAX_CONNECTIONS_PER_ROUTE The default maximum number of connections allowed per host
Public Constructors
ConnPerRouteBean(int defaultMax)
ConnPerRouteBean()
Public Methods
int getDefaultMax()
int getMaxForRoute(HttpRoute route)
void setDefaultMaxPerRoute(int max)
void setMaxForRoute(HttpRoute route, int max)
void setMaxForRoutes(Map<HttpRouteInteger> map)
[Expand]
Inherited Methods
From class java.lang.Object
From interface org.apache.http.conn.params.ConnPerRoute

Constants

public static final int DEFAULT_MAX_CONNECTIONS_PER_ROUTE

Added in API level 1

The default maximum number of connections allowed per host

Constant Value: 2 (0x00000002)

Public Constructors

public ConnPerRouteBean (int defaultMax)

Added in API level 1

public ConnPerRouteBean ()

Added in API level 1

Public Methods

public int getDefaultMax ()

Added in API level 1

public int getMaxForRoute (HttpRoute route)

Added in API level 1

public void setDefaultMaxPerRoute (int max)

Added in API level 1

public void setMaxForRoute (HttpRoute route, int max)

Added in API level 1

public void setMaxForRoutes (Map<HttpRouteInteger> map)

Added in API level 1

This site uses cookies to store your preferences for site-specific language and display options.

Hooray!

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.

Take a one-minute survey?
Help us improve Android tools and documentation.